#ifndef __HD61202_H
#define __HD61202_H

/* Low level functions */
void LCD_SelSide(unsigned char side);
void LCD_CalcPage(unsigned char y,unsigned char *page,unsigned char *row);
unsigned char LCD_ReadData(void);
void LCD_WriteCmd(unsigned char cmd);
void LCD_WriteData(unsigned char dat);
void LCD_init(void);

/* High level functions */
void LCD_home ( void );
void LCD_fill(unsigned char pattern);
#define LCD_clear() LCD_fill(0)
void LCD_plot (unsigned char x, unsigned char y);
void LCD_dump (uint8_t *imgdata);
void LCD_putchr ( char chr );
void LCD_printat (unsigned char row, unsigned char col, char *ptr);

void LCD_icon (uint8_t *imgdata,unsigned char x, unsigned char page,unsigned char width, unsigned char height);
void LCD_area (unsigned char pattern,unsigned char x, unsigned char page,unsigned char width, unsigned char height);
void LCD_invert (unsigned char x, unsigned char page,unsigned char width);

void LCD_line(unsigned char x1,unsigned char y1,unsigned char x2,unsigned char y2);
void LCD_rectangle(unsigned char x1,unsigned char y1,unsigned char x2,unsigned char y2);
void LCD_putchr6 ( unsigned char chr );
void LCD_putchr8 ( unsigned char chr );
void LCD_putchrB ( unsigned char chr , unsigned char row, unsigned char col);
void LCD_print6at (unsigned char row, unsigned char col, char *ptr);
void LCD_print8at (unsigned char row, unsigned char col, char format, char *ptr);

#endif
