/*	Hardware definitions for graphic LCD displays
	
		PA.8,9,11-15	I/O	LCD D0,1,3-7
		PB15			I/O	LCD D2
	
		PB.12	Out	LCD E
		PB.10	Out	LCD ID
		PB.11	Out	LCD R/W_

		PB.13	Out	LCD CS1
		PB.14	Out	LCD CS2
*/

/* LCD control signals */
#define	LCD_CS1b	13
#define	LCD_CS2b	14
#define	LCD_Eb	12
#define	LCD_IDb	10
#define	LCD_RWb	11

// Bit-band alias = Bit-band base + (byte offset * 32) + (bit number * 4)
/* Bit-Band for Device Specific Peripheral Registers */
#define BITBAND_PERI(addr, bitnum) (HT_PERIPH_BB_BASE + (((uint32_t)(addr) - HT_PERIPH_BASE) << 5) + ((uint32_t)(bitnum) << 2))

#define LCD_CS1 (*((__IO uint32_t *)BITBAND_PERI(&HT_GPIOB->DOUTR,LCD_CS1b)))
#define LCD_CS2 (*((__IO uint32_t *)BITBAND_PERI(&HT_GPIOB->DOUTR,LCD_CS2b)))
#define	LCD_E	(*((__IO uint32_t *)BITBAND_PERI(&HT_GPIOB->DOUTR,LCD_Eb)))
#define	LCD_ID	(*((__IO uint32_t *)BITBAND_PERI(&HT_GPIOB->DOUTR,LCD_IDb)))
#define	LCD_RW	(*((__IO uint32_t *)BITBAND_PERI(&HT_GPIOB->DOUTR,LCD_RWb)))

/* LCD status bits */
#define LCD_BUSY	7


void LCD_Write(unsigned char dat);
unsigned char LCD_Read(void);
unsigned char LCD_Status(void);
void LCD_setupI0(void);

